生成已发货发货单(关联货件)
POST
/erp/sc/storage/shipment/createSendedOrder支持推送已发货的FBA发货单到领星ERP,并扣减发货仓库库存
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/storage/shipment/createSendedOrder | HTTPS | POST | 1 |
请求参数
widintegersys_widinteger必填expected_arrival_datestringetd_datestringeta_datestringdelivery_datestringactual_shipment_timestringhead_fee_typeintegertax_fee_typeintegeris_points_behindintegerpoints_behind_coeffientintegerlogistics_channel_idintegeris_relatedintegerrequest_flagstringship_modeintegerhand_pick_purchaseintegerremarkstringprincipal_uidsarray<any>listarray<object>必填隐藏子属性
seller_idstring必填warehouse_seller_idintegermarketplace_idstring必填shipment_idstring必填fulfillment_network_skustring必填fnskustringnuminteger必填box_numintegerskustring必填tax_currencystringtax_amountstringcg_product_gross_weightstringcg_package_lengthstringcg_package_widthstringcg_package_heightstringcg_box_weightstringtransport_coststringpurchase_itemsarray<object>隐藏子属性
relation_numinteger必填purchase_snstringcustom_purchase_snstringbox_typestringbox_remarkstringbox_listarray<object>隐藏子属性
box_numstring必填cg_box_lengthnumber必填cg_box_widthnumber必填cg_box_heightnumber必填cg_box_weightnumber必填box_skusarray<object>必填隐藏子属性
seller_idstring必填marketplace_idstring必填shipment_idstring必填fulfillment_network_skustring必填quantity_in_caseinteger必填skustring必填logistics_list_typeintegerhead_logistics_listobject必填隐藏子属性
tracking_listarray<object>隐藏子属性
tracking_nostringtransport_typeintegerorder_type_codeintegershippersstringremarkstringestimate_expenses_listobject隐藏子属性
chargeable_weightstringpricestring必填price_currencystring必填logistics_feestring必填logistics_fee_currencystring必填remarkstringother_fee_arrarray<object>必填隐藏子属性
fee_type_idstring必填other_amountstring必填other_currencystring必填actual_expenses_listobject隐藏子属性
tax_feestring必填tax_fee_currencystring必填chargeable_weightstring必填weightstring必填volumestring必填pricestring必填price_currencystring必填logistics_feestring必填logistics_fee_currencystring必填remarkstringother_fee_arrarray<object>必填隐藏子属性
fee_type_idstring必填other_amountstring必填other_currencystring必填logistics_listarray<object>隐藏子属性
tracking_numberstringreplace_tracking_numberstringtransportation_costnumbertransportation_currencystringother_costnumberother_currencystringother_cost_remarkstringpredicted_transportation_costnumberpredicted_transportation_currencystringpredicted_other_costnumberpredicted_other_currencystring请求示例
{
"sys_wid": 1,
"expected_arrival_date": "2022-05-06",
"etd_date": "2022-05-06",
"eta_date": "2022-05-06",
"delivery_date": "2022-05-06",
"actual_shipment_time": "2022-05-06",
"head_fee_type": 1,
"tax_fee_type": 0,
"is_points_behind": 1,
"points_behind_coeffient": 1,
"logistics_channel_id": 1,
"remark": "发货单备注",
"request_flag": "1123123aaaaaa",
"logistics_list": [{
"tracking_number": "aaaaaa",
"replace_tracking_number": "bbbbbb",
"transportation_cost": 1,
"transportation_currency": "CNY",
"other_cost": 1,
"other_currency": "1.00",
"other_cost_remark": "其他费备注",
"predicted_transportation_cost": 1,
"predicted_transportation_currency": "CNY",
"predicted_other_cost": 1,
"predicted_other_currency": "CNY"
}],
"list": [{
"seller_id": "",
"warehouse_seller_id": 0,
"marketplace_id": "",
"shipment_id": "FBA19M79VH0H",
"fulfillment_network_sku": "",
"fnsku": "",
"num": 0,
"box_num": 0,
"sku": "",
"tax_currency": "",
"tax_amount": "",
"cg_product_gross_weight": "",
"cg_package_length": "",
"cg_package_width": "",
"cg_package_height": "",
"cg_box_weight": "",
"transport_cost": ""
}],
"is_related": "",
"box_type": "",
"box_remark": "",
"box_list": [{
"box_num": "3",
"cg_box_length": 20,
"cg_box_width": 30,
"cg_box_height": 40,
"cg_box_weight": 1.33,
"box_skus": [{
"seller_id": "A1MQMW3JWPNCBX",
"marketplace_id": "xxxxxxxxxxxxxxxx",
"shipment_id": "FBA16XNMN3N4",
"fulfillment_network_sku": "B09MT3989Q",
"quantity_in_case": 32,
"sku": "0530-1"
}]
}],
"logistics_list_type": 0,
"head_logistics_list": {
"tracking_list": [{
"tracking_no": "cxdhxxxxxx123",
"transport_type": "1",
"order_type_code": "5",
"shippers": "coscoxxx",
"remark": "备注"
}],
"estimate_expenses_list": {
"chargeable_weight": "111.00",
"price": "1.00",
"price_currency": "CNY",
"logistics_fee": "1.00",
"logistics_fee_currency": "CNY",
"remark": "预估费用备注",
"other_fee_arr": [{
"fee_type_id": "241192037543649792",
"other_amount": "1.00",
"other_currency": "CNY"
}]
},
"actual_expenses_list": {
"tax_fee":"1",
"tax_fee_currency":"CNY",
"weight": "111.00",
"volume": "111.00",
"price": "111.00",
"price_currency": "CNY",
"logistics_fee": "111.00",
"logistics_fee_currency": "CNY",
"remark": "实际费用备注",
"other_fee_arr": [{
"fee_type_id": "241192037543649792",
"other_amount": "111.00",
"other_currency": "CNY"
}]
}
}
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsstring必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
order_snstring必填